Skip to main content
POST
/
api
/
{projectId}
/
impulse
Create impulse
curl --request POST \
  --url https://studio.edgeimpulse.com/v1/api/{projectId}/impulse \
  --header 'Content-Type: application/json' \
  --header 'x-api-key: <api-key>' \
  --data '
{
  "inputBlocks": [
    {
      "id": 2,
      "type": "time-series",
      "name": "Time series",
      "title": "Time series",
      "axes": [
        "accX"
      ],
      "windowSizeMs": 2004,
      "windowIncreaseMs": 123,
      "frequencyHz": 60,
      "classificationWindowIncreaseMs": 123,
      "padZeros": true,
      "imageWidth": 28,
      "imageHeight": 28,
      "resizeMode": "squash",
      "resizeMethod": "squash",
      "cropAnchor": "middle-center",
      "createdBy": "createImpulse",
      "createdAt": "2023-11-07T05:31:56Z"
    }
  ],
  "dspBlocks": [
    {
      "id": 2,
      "type": "spectral-analysis",
      "name": "Spectral features",
      "axes": [
        "accX"
      ],
      "title": "Spectral Analysis",
      "implementationVersion": 123,
      "valuesPerAxis": 11,
      "input": 1,
      "createdBy": "createImpulse",
      "createdAt": "2023-11-07T05:31:56Z",
      "customUrl": "<string>",
      "namedAxes": [
        {
          "name": "<string>",
          "description": "<string>",
          "required": true,
          "selectedAxis": "<string>"
        }
      ]
    }
  ],
  "learnBlocks": [
    {
      "id": 2,
      "name": "NN Classifier",
      "dsp": [
        27
      ],
      "title": "Classification (Keras)",
      "createdBy": "createImpulse",
      "createdAt": "2023-11-07T05:31:56Z"
    }
  ],
  "name": "<string>",
  "postProcessingBlocks": [
    {
      "id": 2,
      "type": "object-tracking",
      "name": "Object tracking",
      "title": "Object tracking",
      "implementationVersion": 123,
      "createdBy": "createImpulse",
      "createdAt": "2023-11-07T05:31:56Z"
    }
  ]
}
'
import requests

url = "https://studio.edgeimpulse.com/v1/api/{projectId}/impulse"

payload = {
"inputBlocks": [
{
"id": 2,
"type": "time-series",
"name": "Time series",
"title": "Time series",
"axes": ["accX"],
"windowSizeMs": 2004,
"windowIncreaseMs": 123,
"frequencyHz": 60,
"classificationWindowIncreaseMs": 123,
"padZeros": True,
"imageWidth": 28,
"imageHeight": 28,
"resizeMode": "squash",
"resizeMethod": "squash",
"cropAnchor": "middle-center",
"createdBy": "createImpulse",
"createdAt": "2023-11-07T05:31:56Z"
}
],
"dspBlocks": [
{
"id": 2,
"type": "spectral-analysis",
"name": "Spectral features",
"axes": ["accX"],
"title": "Spectral Analysis",
"implementationVersion": 123,
"valuesPerAxis": 11,
"input": 1,
"createdBy": "createImpulse",
"createdAt": "2023-11-07T05:31:56Z",
"customUrl": "<string>",
"namedAxes": [
{
"name": "<string>",
"description": "<string>",
"required": True,
"selectedAxis": "<string>"
}
]
}
],
"learnBlocks": [
{
"id": 2,
"name": "NN Classifier",
"dsp": [27],
"title": "Classification (Keras)",
"createdBy": "createImpulse",
"createdAt": "2023-11-07T05:31:56Z"
}
],
"name": "<string>",
"postProcessingBlocks": [
{
"id": 2,
"type": "object-tracking",
"name": "Object tracking",
"title": "Object tracking",
"implementationVersion": 123,
"createdBy": "createImpulse",
"createdAt": "2023-11-07T05:31:56Z"
}
]
}
headers = {
"x-api-key": "<api-key>",
"Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'POST',
headers: {'x-api-key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
inputBlocks: [
{
id: 2,
type: 'time-series',
name: 'Time series',
title: 'Time series',
axes: ['accX'],
windowSizeMs: 2004,
windowIncreaseMs: 123,
frequencyHz: 60,
classificationWindowIncreaseMs: 123,
padZeros: true,
imageWidth: 28,
imageHeight: 28,
resizeMode: 'squash',
resizeMethod: 'squash',
cropAnchor: 'middle-center',
createdBy: 'createImpulse',
createdAt: '2023-11-07T05:31:56Z'
}
],
dspBlocks: [
{
id: 2,
type: 'spectral-analysis',
name: 'Spectral features',
axes: ['accX'],
title: 'Spectral Analysis',
implementationVersion: 123,
valuesPerAxis: 11,
input: 1,
createdBy: 'createImpulse',
createdAt: '2023-11-07T05:31:56Z',
customUrl: '<string>',
namedAxes: [
{
name: '<string>',
description: '<string>',
required: true,
selectedAxis: '<string>'
}
]
}
],
learnBlocks: [
{
id: 2,
name: 'NN Classifier',
dsp: [27],
title: 'Classification (Keras)',
createdBy: 'createImpulse',
createdAt: '2023-11-07T05:31:56Z'
}
],
name: '<string>',
postProcessingBlocks: [
{
id: 2,
type: 'object-tracking',
name: 'Object tracking',
title: 'Object tracking',
implementationVersion: 123,
createdBy: 'createImpulse',
createdAt: '2023-11-07T05:31:56Z'
}
]
})
};

fetch('https://studio.edgeimpulse.com/v1/api/{projectId}/impulse', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "success": true,
  "id": 123,
  "error": "<string>"
}

Authorizations

x-api-key
string
header
required

Path Parameters

projectId
integer
required

Project ID

Query Parameters

impulseId
integer

Impulse ID. If this is unset then the default impulse is used.

Body

application/json
inputBlocks
object[]
required

Input Blocks that are part of this impulse

dspBlocks
object[]
required

DSP Blocks that are part of this impulse

learnBlocks
object[]
required

Learning Blocks that are part of this impulse

name
string

Name for this impulse (optional). If no name is provided one is created based on your blocks.

postProcessingBlocks
object[]

Post-processing blocks that are part of this impulse

type
enum<string>

Specifies the type of impulse. Options include: - default: Standard Edge Impulse pipeline. - BYOM: Impulse that includes a pretrained model. - VLM: Impulse created as part of a Vision Learning Model (VLM) workflow.

Available options:
default,
BYOM,
VLM

Response

200 - application/json

OK

success
boolean
required

Whether the operation succeeded

id
integer
required

ID of the new impulse

error
string

Optional error description (set if 'success' was false)